Subject: RE: press for cygwin
From: Robert Collins <[email-masked]>
To: Mark Bradshaw <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: 01 Sep 2001 10:10:15 +1000

On 31 Aug 2001 10:35:45 -0400, Mark Bradshaw wrote:
> Hmm...  Should I paint a bulls eye on my chest here.  Eh.  Why not.

Hmmm... do you gamble ? ;}
 
> 3)  Yes I know it's an unsupported install, but I think the point was missed
> here.  Many windows admins won't install the full cygwin installation, and
> most won't have a clue what to do with bash, etc.  The point here isn't to
> exclude people from a great tool, but to help make an intermediate step more
> palatable.  I know many will disagree with this, with sentiments along the
> lines of "They should just learn how to work with it."  I disagree.  I think
> it's worth it to get telnet replaced, in whatever fashion that happens.
> Bashless or not.

I'm only addressing this point, because I believe that the already
posted responses from Chuck and Larry didn't quite emphasis enough. You
are in the position of writing a HOW-TO for installers of sshd for
cygwin...  chucks url reference (which had a typo:
http://tech.erdelynet.com/cygwin-sshd.asp is the correct address) covers
a somewhat larger install than you needed.

This page http://tech.erdelynet.com/cygwin-sshdmin.asp covers using the
cygwin setup.exe to install the core files - you could easily remove
ash,bash, fileutils, gawk, grep, sh-utils and txtutils from the list.
This would give you a *standard install* that happened to have only the
core utilities. The precious cygwin mount points and symlinks needed for
correct operation - say when these budding NT Admins learn about grep or
awk and try to install it - when any larger packages are added in. Also
note that setup.exe from cygwin.com extracts the .tar.gz files - no
experience with tar is needed.

As a parallel - hopefully I won't rub salt into the wounds :] - the
winzip approach is roughly equivalent to taking a MS Office install CD,
extracting winword.exe and a few select .dll's by hand, and then
manually adding a couple of registry keys. Sure - once someone documents
how to do it, anyone can follow, but *none* of the followers can ever
install the full office without a traumatic repair period.

If you are in a position to create errata for that article, I encourage
you to do so... you will be saving your target audience from a lot of
grief - down the track. 

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/